View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010301ParaViewFeaturepublic2010-02-16 14:142011-09-01 13:31
ReporterKen Moreland 
Assigned ToAndy Bauer 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.10Fixed in Version3.12 
Summary0010301: Coprocessing plugin: add option to write image
DescriptionThere should be a way when exporting a coprocessing script to have the code to write out an image. Perhaps this should replace the option to write out view/representation information. After all, the reason to add this to the script in the first place is to create images. I think it would make more sense for an end user, who might have no notion of the inner workings of ParaView.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0020202)
Utkarsh Ayachit (administrator)
2010-04-16 01:35

Ken, feel free to move this to 3.8.2 if you want it.
(0020532)
Andy Bauer (developer)
2010-05-04 11:57

This should be fixed now. It should support an image output for each view but the ordering of them may be somewhat arbitrary as far as numbering in the outputted filenames. It should also give a warning if there are no writers selected and no images are set to be exported either.
(0020535)
Andy Bauer (developer)
2010-05-04 13:26

Something isn't working properly with creating images for multiple views. I'm going to go back and fix that.
(0020644)
Andy Bauer (developer)
2010-05-07 13:42

Added in the changes so that multiviews are properly supported when outputting image data in the generated python script. I also made changes so that a proper file name is used for the image files including extensions.

The git commit is 9ee146ddfd65e0ffa07958d176102a77cf527e61
(0020776)
Alan Scott (manager)
2010-05-17 21:40

Untested.

- Issue History
Date Modified Username Field Change
2010-02-16 14:14 Ken Moreland New Issue
2010-02-16 14:14 Ken Moreland Status backlog => tabled
2010-02-16 14:14 Ken Moreland Assigned To => Andy Bauer
2010-04-16 01:35 Utkarsh Ayachit Note Added: 0020202
2010-04-16 01:35 Utkarsh Ayachit Target Version 3.8 => 3.10
2010-05-04 11:57 Andy Bauer Note Added: 0020532
2010-05-04 11:57 Andy Bauer Status tabled => @80@
2010-05-04 11:57 Andy Bauer Fixed in Version => Development
2010-05-04 11:57 Andy Bauer Resolution open => fixed
2010-05-04 13:26 Andy Bauer Note Added: 0020535
2010-05-04 13:26 Andy Bauer Status @80@ => @40@
2010-05-07 13:42 Andy Bauer Note Added: 0020644
2010-05-07 13:42 Andy Bauer Status @40@ => @80@
2010-05-17 21:40 Alan Scott Note Added: 0020776
2010-05-17 21:40 Alan Scott Status @80@ => closed
2011-06-16 13:10 Zack Galbreath Category Feature Request => Feature
2011-09-01 13:31 Utkarsh Ayachit Fixed in Version Development => 3.12


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker